com.google.appengine.api.log

## Class AppLogLine

- java.lang.Object
- - com.google.appengine.api.log.AppLogLine

- All Implemented Interfaces:
    java.io.Serializable

      public final class AppLogLine
      extends java.lang.Object
      implements java.io.Serializable

  An AppLogLine contains all the information for a single application log. Specifically, this information is: (1) the time at which the logged event occurred, (2) the level that the event was logged at, and (3) the message associated with this event. AppLogLines may be inserted by the user via logging frameworks, or by App Engine itself if we wish to alert the user that certain events have occurred.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppLogLine()` Default zero-argument constructor that creates an AppLogLine.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `LogService.LogLevel` | `getLogLevel()`
    `java.lang.String` | `getLogMessage()`
    `long` | `getTimeUsec()`
    `int` | `hashCode()`
    `void` | `setLogLevel(LogService.LogLevel logLevel)`
    `void` | `setLogMessage(java.lang.String logMessage)`
    `void` | `setTimeUsec(long timeUsec)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AppLogLine

          public AppLogLine()

      Default zero-argument constructor that creates an AppLogLine.

  - ### Method Detail

    - #### getLogLevel

          public LogService.LogLevel getLogLevel()

    - #### getLogMessage

          public java.lang.String getLogMessage()

    - #### getTimeUsec

          public long getTimeUsec()

    - #### setLogLevel

          public void setLogLevel(LogService.LogLevel logLevel)

    - #### setLogMessage

          public void setLogMessage(java.lang.String logMessage)

    - #### setTimeUsec

          public void setTimeUsec(long timeUsec)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`